// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011, 2012 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// ClassCylinderShapeX.h

// 

#include "wchar.h"
#ifndef _DEFINED_HG3D_ClassCylinderShapeX
#define _DEFINED_HG3D_ClassCylinderShapeX

#include "ClassPtr.h"
#include "StructVec3.h"



// 
void bt_clndrshpx_construct(struct vector3_struct * halfExtents_c, struct hg3dclass_struct * result_c);

// 
void bt_clndrshpx_localGetSupportingVertexWithoutMargin(struct hg3dclass_struct * thisclass_c, struct vector3_struct * vec_c, struct vector3_struct * result_c);

// 
void bt_clndrshpx_batchedUnitVectorGetSupportingVertexWithoutMargin(struct hg3dclass_struct * thisclass_c, struct vector3_struct * vectors_c, struct vector3_struct * supportVerticesOut_c, int numVectors_c);

// 
void bt_clndrshpx_getName(struct hg3dclass_struct * thisclass_c, char * result_c);

// 
void bt_clndrshpx_getRadius(struct hg3dclass_struct * thisclass_c, float * result_c);

#endif 
