// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011, 2012 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// ClassCollisionDispatcher.h

// 

#include "wchar.h"
#ifndef _DEFINED_HG3D_ClassCollisionDispatcher
#define _DEFINED_HG3D_ClassCollisionDispatcher

#include "ClassPtr.h"
#include "ClassCollisionConfiguration.h"



// 
void bt_cllsndpstch_getDispatcherFlags(struct hg3dclass_struct * thisclass_c, int * result_c);

// 
void bt_cllsndpstch_setDispatcherFlags(struct hg3dclass_struct * thisclass_c, int flags_c);

// 
void bt_cllsndpstch_getNumManifolds(struct hg3dclass_struct * thisclass_c, int * result_c);

// 
void bt_cllsndpstch_construct(struct hg3dclass_struct * collisionConfiguration_c, struct hg3dclass_struct * result_c);

// 
void bt_cllsndpstch_destruct(struct hg3dclass_struct * thisclass_c);

// 
void bt_cllsndpstch_getCollisionConfiguration(struct hg3dclass_struct * thisclass_c, struct hg3dclass_struct * result_c);

// 
void bt_cllsndpstch_getCollisionConfiguration2(struct hg3dclass_struct * thisclass_c, struct hg3dclass_struct * result_c);

// 
void bt_cllsndpstch_setCollisionConfiguration(struct hg3dclass_struct * thisclass_c, struct hg3dclass_struct * config_c);

#endif 
